Bug 1168977 (CVE-2014-8120) - CVE-2014-8120 thermostat: local JMX URL disclosure
Summary: CVE-2014-8120 thermostat: local JMX URL disclosure
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8120
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20141216,repo...
Depends On: 1170141
Blocks: 1165931
TreeView+ depends on / blocked
 
Reported: 2014-11-28 15:38 UTC by Florian Weimer
Modified: 2019-06-08 20:17 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that, in certain configurations, the Thermostat agent disclosed JMX management URLs of all local Java virtual machines to any local user. A local, unprivileged user could use this flaw to escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2014-12-16 23:06:32 UTC


Attachments (Terms of Use)
agent-proxy-remove-rmi-v2.patch (86.38 KB, patch)
2014-11-28 15:47 UTC, Florian Weimer
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:2000 normal SHIPPED_LIVE Important: thermostat1-thermostat security update 2014-12-17 02:35:48 UTC

Description Florian Weimer 2014-11-28 15:38:14 UTC
It was discovered that in certain configurations, the Thermostat agent
discloses JMX management URLs of all local Java virtual machines to any
local user. This allows local users to increase their privileges.

Acknowledgements:

This issue was discovered by Elliott Baron of Red Hat.

Comment 2 Florian Weimer 2014-11-28 15:47:47 UTC
Created attachment 962535 [details]
agent-proxy-remove-rmi-v2.patch

Proposed upstream patch by Elliott Baron

Comment 4 Vincent Danen 2014-12-16 21:13:50 UTC
External References:

http://icedtea.classpath.org/pipermail/thermostat-announce/2014-December/000013.html

Comment 5 errata-xmlrpc 2014-12-16 21:36:23 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2014:2000 https://rhn.redhat.com/errata/RHSA-2014-2000.html

Comment 6 errata-xmlrpc 2014-12-16 22:11:24 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2014:2000 https://rhn.redhat.com/errata/RHSA-2014-2000.html

Comment 7 Fedora Update System 2015-01-08 07:02:09 UTC
thermostat-1.0.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-01-08 07:02:27 UTC
thermostat-1.0.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.